// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Interaction.h"
#include "InteractDialogue.generated.h"

/**
 * 
 */
UCLASS()
class RAAN_API UInteractDialogue : public UInteraction
{
	GENERATED_BODY()
	
	UPROPERTY(VisibleAnywhere, BlueprintReadWrite, Category="Dialogue", meta = (AllowPrivateAccess = "true"))
	FText DialogueText;
	virtual void Interact() override;
};
